automation-suite
2023.10
false
Automation Suite API guide
- Getting started
- Authentication
- Scopes and permissions
- Platform Management APIs
- Get all robot accounts
- Delete robot accounts
- Get specific robot account
- Delete specific robot account
- Create a new robot account
- Update robot account
Deletes the specified robot account in an organization, based on the organization and robot account ID.
API endpoint
DELETE https://{yourDomain}/{organizationName}/identity_/api/RobotAccount/{partitionGlobalId}/{robotAccountId}
Scopes
Requires the following scopes:
PM.RobotAccountPM.RobotAccount.Write
Request headers
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:
To obtain the {access_token}, make sure to authenticate through one of the methods described here.
Path parameters
| Parameter | Data type | Description |
|---|---|---|
partitionGlobalId | String | Required. The ID of the organization you want to delete the robot accounts from. |
robotAccountId | String | Required. The ID of the robot account you want to delete. |
Responses
204 Success
The indicated robot account is deleted from the organization.
Example request
Let's say you gathered all the information needed to build the API call.
- Your
{baseURL}is:https://{yourDomain}/{organizationName}/{tenantName}/ - Your
{access_token}is:1234(for length considerations). - The
{partitionGlobalId}is:magic-7 - The
{robotAccountId}is:33-ab
The call should resemble the following example (cURL):
curl --location --request DELETE 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/RobotAccount/magic-7/33-ab' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request DELETE 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/RobotAccount/magic-7/33-ab' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'